Bug 15411 - Add Index dialog doesn`t arise an error message when something is wrong
Add Index dialog doesn`t arise an error message when something is wrong
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Other
: P4 (vote)
: 3.x
Assigned To: Radko Najman
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-12 15:29 UTC by issues@www
Modified: 2005-03-09 04:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description issues@www 2001-09-12 15:29:49 UTC
Description: 
Tested in build 010724_1_CE, jdk1.3.1.

- create a connection in DBExplorer and connect to database
- expand some table
- right click on "Indexes" node and select "Add Index..."
- set NOTHING in the dialog and click OK button
- nothing happens but an error/inform message should appear saying what is wrong



Evaluation: 
A exception during execution time for add index (AddIndexDialog class) is 
caught only, no handled. It should be notified by Error Message.

A comment.
Comment 1 Jiri Rechtacek 2001-12-03 17:29:23 UTC
Reassigning to Radko.

Comment 2 Radko Najman 2002-04-02 13:27:21 UTC
Fixed. Error message is displayed.
Comment 3 David Kaspar 2002-11-18 13:17:06 UTC
Verified in main trunk
Comment 4 Quality Engineering 2003-06-30 17:17:25 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo